Index: src/mlx/gui/flight.py
===================================================================
--- src/mlx/gui/flight.py	(revision 1008)
+++ src/mlx/gui/flight.py	(revision 872)
@@ -2633,11 +2650,11 @@
                                                         xstr("simbrief_credentials_title"),
                                                         gui.mainWindow,
-                                                        Gtk.DialogFlags.MODAL)
-        self.add_button(xstr("button_cancel"), Gtk.ResponseType.CANCEL)
-        self.add_button(xstr("button_ok"), Gtk.ResponseType.OK)
+                                                        DIALOG_MODAL)
+        self.add_button(xstr("button_cancel"), RESPONSETYPE_CANCEL)
+        self.add_button(xstr("button_ok"), RESPONSETYPE_OK)
 
         contentArea = self.get_content_area()
 
-        contentAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        contentAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                          xscale = 0.0, yscale = 0.0)
         contentAlignment.set_padding(padding_top = 4, padding_bottom = 16,
@@ -2646,18 +2663,18 @@
         contentArea.pack_start(contentAlignment, False, False, 0)
 
-        contentVBox = Gtk.VBox()
+        contentVBox = gtk.VBox()
         contentAlignment.add(contentVBox)
 
-        label = Gtk.Label(xstr("simbrief_login_failed"))
+        label = gtk.Label(xstr("simbrief_login_failed"))
         label.set_alignment(0.0, 0.0)
 
         contentVBox.pack_start(label, False, False, 0)
 
-        tableAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        tableAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         tableAlignment.set_padding(padding_top = 24, padding_bottom = 0,
                                    padding_left = 0, padding_right = 0)
 
-        table = Gtk.Table(3, 2)
+        table = gtk.Table(3, 2)
         table.set_row_spacings(4)
         table.set_col_spacings(16)
@@ -2667,10 +2684,10 @@
         contentVBox.pack_start(tableAlignment, True, True, 0)
 
-        label = Gtk.Label(xstr("simbrief_username"))
+        label = gtk.Label(xstr("simbrief_username"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 0, 1)
 
-        self._userName = Gtk.Entry()
+        self._userName = gtk.Entry()
         self._userName.set_width_chars(16)
         #self._userName.connect("changed",
@@ -2681,10 +2698,10 @@
         label.set_mnemonic_widget(self._userName)
 
-        label = Gtk.Label(xstr("simbrief_password"))
+        label = gtk.Label(xstr("simbrief_password"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 1, 2)
 
-        self._password = Gtk.Entry()
+        self._password = gtk.Entry()
         self._password.set_visibility(False)
         #self._password.connect("changed",
@@ -2695,5 +2712,5 @@
         label.set_mnemonic_widget(self._password)
 
-        self._rememberButton = Gtk.CheckButton(xstr("simbrief_remember_password"))
+        self._rememberButton = gtk.CheckButton(xstr("simbrief_remember_password"))
         self._rememberButton.set_use_underline(True)
         self._rememberButton.set_tooltip_text(xstr("simbrief_remember_tooltip"))
@@ -2786,8 +2803,8 @@
                                                 xstr("simbrief_setup_chelp"))
 
-        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
 
-        table = Gtk.Table(9, 3)
+        table = gtk.Table(9, 3)
         table.set_row_spacings(4)
         table.set_col_spacings(16)
@@ -2796,10 +2813,10 @@
         self.setMainWidget(alignment)
 
-        label = Gtk.Label(xstr("simbrief_username"))
+        label = gtk.Label(xstr("simbrief_username"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 0, 1)
 
-        self._userName = Gtk.Entry()
+        self._userName = gtk.Entry()
         self._userName.set_width_chars(16)
         self._userName.connect("changed",
@@ -2809,10 +2826,10 @@
         label.set_mnemonic_widget(self._userName)
 
-        label = Gtk.Label(xstr("simbrief_password"))
+        label = gtk.Label(xstr("simbrief_password"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 1, 2)
 
-        self._password = Gtk.Entry()
+        self._password = gtk.Entry()
         self._password.set_visibility(False)
         self._password.connect("changed",
@@ -2822,10 +2839,10 @@
         label.set_mnemonic_widget(self._password)
 
-        self._rememberButton = Gtk.CheckButton(xstr("simbrief_remember_password"))
+        self._rememberButton = gtk.CheckButton(xstr("simbrief_remember_password"))
         self._rememberButton.set_use_underline(True)
         self._rememberButton.set_tooltip_text(xstr("simbrief_remember_tooltip"))
         table.attach(self._rememberButton, 1, 2, 2, 3, ypadding = 8)
 
-        label = Gtk.Label(xstr("simbrief_extra_fuel"))
+        label = gtk.Label(xstr("simbrief_extra_fuel"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
@@ -2838,12 +2855,12 @@
         label.set_mnemonic_widget(self._extraFuel)
 
-        table.attach(Gtk.Label("kg"), 2, 3, 3, 4)
-
-        label = Gtk.Label(xstr("simbrief_takeoff_runway"))
+        table.attach(gtk.Label("kg"), 2, 3, 3, 4)
+
+        label = gtk.Label(xstr("simbrief_takeoff_runway"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 4, 5)
 
-        self._takeoffRunway = Gtk.Entry()
+        self._takeoffRunway = gtk.Entry()
         self._takeoffRunway.set_width_chars(10)
         self._takeoffRunway.set_tooltip_text(xstr("simbrief_takeoff_runway_tooltip"))
@@ -2852,10 +2869,10 @@
         label.set_mnemonic_widget(self._takeoffRunway)
 
-        label = Gtk.Label(xstr("simbrief_landing_runway"))
+        label = gtk.Label(xstr("simbrief_landing_runway"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 5, 6)
 
-        self._landingRunway = Gtk.Entry()
+        self._landingRunway = gtk.Entry()
         self._landingRunway.set_width_chars(10)
         self._landingRunway.set_tooltip_text(xstr("simbrief_takeoff_runway_tooltip"))
@@ -2864,11 +2881,11 @@
         label.set_mnemonic_widget(self._landingRunway)
 
-        label = Gtk.Label(xstr("simbrief_climb_profile"))
+        label = gtk.Label(xstr("simbrief_climb_profile"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 6, 7)
 
-        self._climbProfile = Gtk.ComboBox()
-        renderer = Gtk.CellRendererText()
+        self._climbProfile = gtk.ComboBox()
+        renderer = gtk.CellRendererText()
         self._climbProfile.pack_start(renderer, True)
         self._climbProfile.add_attribute(renderer, "text", 0)
@@ -2877,11 +2894,11 @@
         label.set_mnemonic_widget(self._climbProfile)
 
-        label = Gtk.Label(xstr("simbrief_cruise_profile"))
+        label = gtk.Label(xstr("simbrief_cruise_profile"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 7, 8)
 
-        self._cruiseProfile = Gtk.ComboBox()
-        renderer = Gtk.CellRendererText()
+        self._cruiseProfile = gtk.ComboBox()
+        renderer = gtk.CellRendererText()
         self._cruiseProfile.pack_start(renderer, True)
         self._cruiseProfile.add_attribute(renderer, "text", 0)
@@ -2890,11 +2907,11 @@
         label.set_mnemonic_widget(self._cruiseProfile)
 
-        label = Gtk.Label(xstr("simbrief_descent_profile"))
+        label = gtk.Label(xstr("simbrief_descent_profile"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 8, 9)
 
-        self._descentProfile = Gtk.ComboBox()
-        renderer = Gtk.CellRendererText()
+        self._descentProfile = gtk.ComboBox()
+        renderer = gtk.CellRendererText()
         self._descentProfile.pack_start(renderer, True)
         self._descentProfile.add_attribute(renderer, "text", 0)
@@ -2937,5 +2954,5 @@
                                     (self._descentProfile,
                                      simBriefData.descentProfiles)]:
-            model = Gtk.ListStore(str)
+            model = gtk.ListStore(str)
             for profile in profiles:
                 model.append([profile])
@@ -2974,5 +2991,5 @@
 
             plan = self._getPlan()
-            print("plan:", plan)
+            print "plan:", plan
 
             takeoffRunway = self._takeoffRunway.get_text()
@@ -3010,5 +3027,5 @@
         are returned. Otherwise a dialog box is displayed informing the user of
         invalid credentials and requesting another set of them."""
-        print("_getCredentials", count)
+        print "_getCredentials", count
         if count==0:
             return (self._userName.get_text(), self._password.get_text())
@@ -3023,5 +3040,5 @@
             response = dialog.run()
 
-            if response==Gtk.ResponseType.OK:
+            if response==RESPONSETYPE_OK:
                 userName = dialog.userName
                 self._userName.set_text(userName)
@@ -3044,5 +3061,5 @@
     def _simBriefProgress(self, progress, result, flightInfo):
         """The real SimBrief progress handler."""
-        print("_simBriefProgress", progress, result, flightInfo)
+        print "_simBriefProgress", progress, result, flightInfo
         if result==cef.SIMBRIEF_RESULT_NONE:
             message = SimBriefSetupPage.progress2Message.get(progress,
@@ -3060,11 +3077,11 @@
                 message = SimBriefSetupPage.result2Message.get(result,
                                                                "simbrief_result_unknown")
-                dialog = Gtk.MessageDialog(parent = self._wizard.gui.mainWindow,
-                                           type = Gtk.MessageType.ERROR,
+                dialog = gtk.MessageDialog(parent = self._wizard.gui.mainWindow,
+                                           type = MESSAGETYPE_ERROR,
                                            message_format =
                                            xstr(message) + "\n"+
                                            xstr("simbrief_cancelled"))
 
-                dialog.add_button(xstr("button_ok"), Gtk.ResponseType.OK)
+                dialog.add_button(xstr("button_ok"), RESPONSETYPE_OK)
                 dialog.set_title(WINDOW_TITLE_BASE)
                 secondary = xstr("flightsel_save_failed_sec")
@@ -3162,5 +3179,5 @@
                                               xstr("simbrief_result_title"), "")
 
-        self._alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        self._alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                        xscale = 1.0, yscale = 1.0)
 
@@ -3231,5 +3248,5 @@
 #-----------------------------------------------------------------------------
 
-class FuelTank(Gtk.VBox):
+class FuelTank(gtk.VBox):
     """Widget for the fuel tank."""
     def __init__(self, fuelTank, name, capacity, currentWeight):
@@ -3243,23 +3260,25 @@
         self.expectedWeight = currentWeight
 
-        self._label = label = Gtk.Label("<b>" + name + "</b>")
+        label = gtk.Label("<b>" + name + "</b>")
         label.set_use_markup(True)
         label.set_use_underline(True)
-        label.set_justify(Gtk.Justification.CENTER)
+        label.set_justify(JUSTIFY_CENTER)
         label.set_alignment(0.5, 1.0)
-
-        self._tankFigure = Gtk.EventBox()
-        self._tankFigure.set_size_request(38, 200)
+        self.pack_start(label, False, False, 4)
+
+        self._tankFigure = gtk.EventBox()
+        self._tankFigure.set_size_request(38, -1)
         self._tankFigure.set_visible_window(False)
         self._tankFigure.set_tooltip_markup(xstr("fuel_tank_tooltip"))
 
-        self._tankFigure.connect("draw", self._drawTankFigure)
+        if pygobject:
+            self._tankFigure.connect("draw", self._drawTankFigure)
+        else:
+            self._tankFigure.connect("expose_event", self._drawTankFigure)
         self._tankFigure.connect("button_press_event", self._buttonPressed)
         self._tankFigure.connect("motion_notify_event", self._motionNotify)
-
-        self._tankFigure.add_events(Gdk.EventMask.SCROLL_MASK)
         self._tankFigure.connect("scroll-event", self._scrolled)
 
-        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 1.0)
         alignment.add(self._tankFigure)
@@ -3267,5 +3286,5 @@
         self.pack_start(alignment, True, True, 4)
 
-        self._expectedButton = Gtk.SpinButton()
+        self._expectedButton = gtk.SpinButton()
         self._expectedButton.set_numeric(True)
         self._expectedButton.set_range(0, self.capacity)
@@ -3278,13 +3297,8 @@
         label.set_mnemonic_widget(self._expectedButton)
 
-    @property
-    def label(self):
-        """Get the label with the caption."""
-        return self._label
-
-    @property
-    def expectedButton(self):
-        """Get the button containing the expected value."""
-        return self._expectedButton
+        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+                                  xscale = 0.0, yscale = 1.0)
+        alignment.add(self._expectedButton)
+        self.pack_start(alignment, False, False, 4)
 
     def setCurrent(self, currentWeight):
@@ -3310,9 +3324,12 @@
         triangleSize = 5
 
-        context = eventOrContext
-        (xOffset, yOffset) = (0, 0)
-
-        width = tankFigure.get_allocated_width()
-        height = tankFigure.get_allocated_height()
+        context = eventOrContext if pygobject else tankFigure.window.cairo_create()
+        (xOffset, yOffset) = (0, 0) if pygobject \
+                             else (tankFigure.allocation.x, tankFigure.allocation.y)
+
+        width = tankFigure.get_allocated_width() if pygobject \
+                else tankFigure.allocation.width
+        height = tankFigure.get_allocated_height() if pygobject \
+                 else tankFigure.allocation.height
 
         rectangleX0 = triangleSize
@@ -3388,5 +3405,5 @@
     def _motionNotify(self, tankFigure, event):
         """Called when the mouse pointer moves within the area of a tank figure."""
-        if self._enabled and event.state==Gdk.ModifierType.BUTTON1_MASK:
+        if self._enabled and event.state==BUTTON1_MASK:
             self._setExpectedFromY(event.y)
 
@@ -3394,11 +3411,11 @@
         """Called when a scroll event is received."""
         if self._enabled:
-            increment = 1 if event.state==Gdk.ModifierType.CONTROL_MASK \
-                        else 100 if event.state==Gdk.ModifierType.SHIFT_MASK \
+            increment = 1 if event.state==CONTROL_MASK \
+                        else 100 if event.state==SHIFT_MASK \
                         else 10 if event.state==0 else 0
             if increment!=0:
-                if event.direction==Gdk.ScrollDirection.DOWN:
+                if event.direction==SCROLL_DOWN:
                     increment *= -1
-                self._expectedButton.spin(Gtk.SpinType.USER_DEFINED, increment)
+                self._expectedButton.spin(SPIN_USER_DEFINED, increment)
 
     def _expectedChanged(self, spinButton):
@@ -3423,5 +3440,5 @@
         self._fuelTanks = []
         self._fuelTable = None
-        self._fuelAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        self._fuelAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                             xscale = 0.0, yscale = 1.0)
         self.setMainWidget(self._fuelAlignment)
@@ -3479,8 +3496,6 @@
 
         self._fuelTanks = []
-        self._fuelTable = Gtk.Grid()
-        self._fuelTable.set_column_homogeneous(True)
-        self._fuelTable.set_row_spacing(4)
-        self._fuelTable.set_column_spacing(16 if numTanks<5 else 0)
+        self._fuelTable = gtk.Table(numTanks, 1)
+        self._fuelTable.set_col_spacings(16)
         index = 0
         for (tank, current, capacity) in tankData:
@@ -3489,30 +3504,6 @@
                                      const.fuelTank2string(tank)),
                                 capacity, current)
+            self._fuelTable.attach(fuelTank, index, index+1, 0, 1)
             self._fuelTanks.append(fuelTank)
-
-            alignment = Gtk.Alignment(xalign = 0.5, yalign = 1.0,
-                                      xscale = 1.0, yscale = 0.0)
-            alignment.add(fuelTank.label)
-            self._fuelTable.attach(alignment,
-                                   index*(1 if numTanks<5 else 2), 0,
-                                   1 if numTanks<5 else 3, 1)
-
-            alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
-                                      xscale = 0.0, yscale = 1.0)
-            alignment.add(fuelTank)
-            self._fuelTable.attach(alignment,
-                                   index*(1 if numTanks<5 else 2) +
-                                   (0 if numTanks<5 else 1), 1, 1, 1)
-
-
-            alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
-                                      xscale = 1.0, yscale = 0.0)
-            alignment.add(fuelTank.expectedButton)
-
-            self._fuelTable.attach(alignment,
-                                   index* (1 if numTanks<5 else 2),
-                                   2 if (index%2)==0 or numTanks<5 else 3,
-                                   1 if numTanks<5 else 3, 1)
-
             index += 1
 
@@ -3562,9 +3553,9 @@
             self._wizard.gui.simulator.setFuelLevel([(fuelTank.fuelTank,
                                                       currentLevel)])
-            GObject.timeout_add(50, self._pump)
+            gobject.timeout_add(50, self._pump)
 
     def _notamsCallback(self, returned, result):
         """Callback for the NOTAMs."""
-        GObject.idle_add(self._handleNOTAMs, returned, result)
+        gobject.idle_add(self._handleNOTAMs, returned, result)
 
     def _handleNOTAMs(self, returned, result):
@@ -3585,5 +3576,5 @@
     def _metarsCallback(self, returned, result):
         """Callback for the METARs."""
-        GObject.idle_add(self._handleMETARs, returned, result)
+        gobject.idle_add(self._handleMETARs, returned, result)
 
     def _handleMETARs(self, returned, result):
@@ -3622,24 +3613,26 @@
                                            completedHelp = xstr("briefing_chelp"))
 
-        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 1.0, yscale = 1.0)
 
-        mainBox = Gtk.VBox()
+        mainBox = gtk.VBox()
         alignment.add(mainBox)
         self.setMainWidget(alignment)
 
-        self._notamsFrame = Gtk.Frame()
+        self._notamsFrame = gtk.Frame()
         self._notamsFrame.set_label(xstr("briefing_notams_init"))
-        scrolledWindow = Gtk.ScrolledWindow()
+        scrolledWindow = gtk.ScrolledWindow()
         scrolledWindow.set_size_request(-1, 128)
         # FIXME: these constants should be in common
-        scrolledWindow.set_policy(Gtk.PolicyType.AUTOMATIC,
-                                  Gtk.PolicyType.AUTOMATIC)
-        self._notams = Gtk.TextView()
+        scrolledWindow.set_policy(gtk.PolicyType.AUTOMATIC if pygobject
+                                  else gtk.POLICY_AUTOMATIC,
+                                  gtk.PolicyType.AUTOMATIC if pygobject
+                                  else gtk.POLICY_AUTOMATIC)
+        self._notams = gtk.TextView()
         self._notams.set_editable(False)
         self._notams.set_accepts_tab(False)
-        self._notams.set_wrap_mode(Gtk.WrapMode.WORD)
+        self._notams.set_wrap_mode(gtk.WrapMode.WORD if pygobject else gtk.WRAP_WORD)
         scrolledWindow.add(self._notams)
-        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                   xscale = 1.0, yscale = 1.0)
         alignment.set_padding(padding_top = 4, padding_bottom = 0,
@@ -3649,20 +3642,22 @@
         mainBox.pack_start(self._notamsFrame, True, True, 4)
 
-        self._metarFrame = Gtk.Frame()
+        self._metarFrame = gtk.Frame()
         self._metarFrame.set_label(xstr("briefing_metar_init"))
-        scrolledWindow = Gtk.ScrolledWindow()
+        scrolledWindow = gtk.ScrolledWindow()
         scrolledWindow.set_size_request(-1, 32)
-        scrolledWindow.set_policy(Gtk.PolicyType.AUTOMATIC,
-                                  Gtk.PolicyType.AUTOMATIC)
+        scrolledWindow.set_policy(gtk.PolicyType.AUTOMATIC if pygobject
+                                  else gtk.POLICY_AUTOMATIC,
+                                  gtk.PolicyType.AUTOMATIC if pygobject
+                                  else gtk.POLICY_AUTOMATIC)
 
         self._updatingMETAR = False
 
-        self._metar = Gtk.TextView()
+        self._metar = gtk.TextView()
         self._metar.set_accepts_tab(False)
-        self._metar.set_wrap_mode(Gtk.WrapMode.WORD)
+        self._metar.set_wrap_mode(gtk.WrapMode.WORD if pygobject else gtk.WRAP_WORD)
         self._metar.get_buffer().connect("changed", self._metarChanged)
         self._metar.get_buffer().connect_after("insert-text", self._metarInserted)
         scrolledWindow.add(self._metar)
-        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                   xscale = 1.0, yscale = 1.0)
         alignment.set_padding(padding_top = 4, padding_bottom = 0,
@@ -3763,5 +3758,5 @@
     def _metarChanged(self, buffer):
         """Called when the METAR has changed."""
-        print("BriefingPage.metarChanged", self._updatingMETAR)
+        print "BriefingPage.metarChanged", self._updatingMETAR
         if not self._updatingMETAR:
             self.metarEdited = True
@@ -3775,5 +3770,5 @@
 
         It uppercases all characters."""
-        print("BriefingPage.metarInserted", self._updatingMETAR)
+        print "BriefingPage.metarInserted", self._updatingMETAR
         if not self._updatingMETAR:
             self._updatingMETAR = True
@@ -3809,8 +3804,8 @@
         self._forwardAllowed = False
 
-        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
 
-        table = Gtk.Table(9, 24)
+        table = gtk.Table(9, 24)
         table.set_row_spacings(4)
         table.set_col_spacings(16)
@@ -3821,10 +3816,10 @@
         row = 0
 
-        label = Gtk.Label(xstr("takeoff_metar"))
+        label = gtk.Label(xstr("takeoff_metar"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, row, row+1)
 
-        self._metar = Gtk.Entry()
+        self._metar = gtk.Entry()
         self._metar.set_width_chars(40)
         self._metar.set_tooltip_text(xstr("takeoff_metar_tooltip"))
@@ -3838,10 +3833,10 @@
         row += 1
 
-        label = Gtk.Label(xstr("takeoff_runway"))
+        label = gtk.Label(xstr("takeoff_runway"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, row, row+1)
 
-        self._runway = Gtk.Entry()
+        self._runway = gtk.Entry()
         self._runway.set_width_chars(10)
         self._runway.set_tooltip_text(xstr("takeoff_runway_tooltip"))
@@ -3852,10 +3847,13 @@
         row += 1
 
-        label = Gtk.Label(xstr("takeoff_sid"))
+        label = gtk.Label(xstr("takeoff_sid"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, row, row+1)
 
-        self._sid = Gtk.ComboBox.new_with_model_and_entry(comboModel)
+        if pygobject:
+            self._sid = gtk.ComboBox.new_with_model_and_entry(comboModel)
+        else:
+            self._sid = gtk.ComboBoxEntry(comboModel)
 
         self._sid.set_entry_text_column(0)
@@ -3868,5 +3866,5 @@
         row += 1
 
-        label = Gtk.Label(xstr("takeoff_v1"))
+        label = gtk.Label(xstr("takeoff_v1"))
         label.set_use_markup(True)
         label.set_use_underline(True)
@@ -3881,5 +3879,5 @@
         label.set_mnemonic_widget(self._v1)
 
-        self._v1Unit = Gtk.Label(xstr("label_knots"))
+        self._v1Unit = gtk.Label(xstr("label_knots"))
         self._v1Unit.set_alignment(0.0, 0.5)
         table.attach(self._v1Unit, 3, 4, row, row+1)
@@ -3887,5 +3885,5 @@
         row += 1
 
-        label = Gtk.Label(xstr("takeoff_vr"))
+        label = gtk.Label(xstr("takeoff_vr"))
         label.set_use_markup(True)
         label.set_use_underline(True)
@@ -3900,5 +3898,5 @@
         label.set_mnemonic_widget(self._vr)
 
-        self._vrUnit = Gtk.Label(xstr("label_knots"))
+        self._vrUnit = gtk.Label(xstr("label_knots"))
         self._vrUnit.set_alignment(0.0, 0.5)
         table.attach(self._vrUnit, 3, 4, row, row+1)
@@ -3906,5 +3904,5 @@
         row += 1
 
-        label = Gtk.Label(xstr("takeoff_v2"))
+        label = gtk.Label(xstr("takeoff_v2"))
         label.set_use_markup(True)
         label.set_use_underline(True)
@@ -3919,5 +3917,5 @@
         label.set_mnemonic_widget(self._v2)
 
-        self._v2Unit = Gtk.Label(xstr("label_knots"))
+        self._v2Unit = gtk.Label(xstr("label_knots"))
         self._v2Unit.set_alignment(0.0, 0.5)
         table.attach(self._v2Unit, 3, 4, row, row+1)
@@ -3927,5 +3925,5 @@
         self._derateType = acft.DERATE_NONE
 
-        self._derateLabel = Gtk.Label()
+        self._derateLabel = gtk.Label()
         self._derateLabel.set_use_underline(True)
         self._derateLabel.set_markup(xstr("takeoff_derate_tupolev"))
@@ -3933,5 +3931,5 @@
         table.attach(self._derateLabel, 0, 1, row, row+1)
 
-        self._derate = Gtk.Alignment()
+        self._derate = gtk.Alignment()
         table.attach(self._derate, 2, 4, row, row+1)
         self._derateWidget = None
@@ -3942,5 +3940,5 @@
         row += 1
 
-        self._antiIceOn = Gtk.CheckButton(xstr("takeoff_antiice"))
+        self._antiIceOn = gtk.CheckButton(xstr("takeoff_antiice"))
         self._antiIceOn.set_use_underline(True)
         self._antiIceOn.set_tooltip_text(xstr("takeoff_antiice_tooltip"))
@@ -3949,5 +3947,5 @@
         row += 1
 
-        self._rto = Gtk.CheckButton(xstr("takeoff_rto"))
+        self._rto = gtk.CheckButton(xstr("takeoff_rto"))
         self._rto.set_use_underline(True)
         self._rto.set_tooltip_text(xstr("takeoff_rto_tooltip"))
@@ -4027,5 +4025,5 @@
     def activate(self):
         """Activate the page."""
-        print("TakeoffPage.activate")
+        print "TakeoffPage.activate"
 
         self._updatingMETAR = True
@@ -4071,5 +4069,5 @@
     def allowForward(self):
         """Allow going to the next page."""
-        print("TakeoffPage.allowForward")
+        print "TakeoffPage.allowForward"
         self._forwardAllowed = True
         self._updateForwardButton()
@@ -4077,5 +4075,5 @@
     def reset(self):
         """Reset the page if the wizard is reset."""
-        print("TakeoffPage.reset")
+        print "TakeoffPage.reset"
 
         super(TakeoffPage, self).reset()
@@ -4097,5 +4095,5 @@
         pages."""
         if self._active:
-            print("TakeoffPage.changeMETAR")
+            print "TakeoffPage.changeMETAR"
             self._updatingMETAR = True
             self._metar.get_buffer().set_text(metar, -1)
@@ -4118,14 +4116,14 @@
                      self.derate is not None)
 
-        print("TakeoffPage._updateForwardButton: forwardAllowed:", self._forwardAllowed, ", sensitive:", sensitive)
+        print "TakeoffPage._updateForwardButton: forwardAllowed:", self._forwardAllowed, ", sensitive:", sensitive
         if self._forwardAllowed:
-            print("  METAR: ", self._metar.get_text())
-            print("  runway: ", self._runway.get_text())
-            print("  SID:", self.sid)
-            print("  V1:", self.v1)
-            print("  VR:", self.vr)
-            print("  V2:", self.v2)
-            print("  derateType:", self._derateType)
-            print("  derate:", self.derate)
+            print "  METAR: ", self._metar.get_text()
+            print "  runway: ", self._runway.get_text()
+            print "  SID:", self.sid
+            print "  V1:", self.v1
+            print "  VR:", self.vr
+            print "  V2:", self.v2
+            print "  derateType:", self._derateType
+            print "  derate:", self.derate
 
         self._button.set_sensitive(sensitive)
@@ -4133,5 +4131,5 @@
     def _valueChanged(self, widget, arg = None):
         """Called when the value of some widget has changed."""
-        print("TakeoffPage._valueChanged")
+        print "TakeoffPage._valueChanged"
 
         self._updateForwardButton()
@@ -4140,5 +4138,5 @@
         """Called when the value of some entry widget has changed and the value
         should be converted to uppercase."""
-        print("TakeoffPage._upperChanged")
+        print "TakeoffPage._upperChanged"
         entry.set_text(entry.get_text().upper())
         self._valueChanged(entry, arg)
@@ -4153,5 +4151,5 @@
     def _derateChanged(self, entry):
         """Called when the value of the derate is changed."""
-        print("TakeoffPage._derateChanged")
+        print "TakeoffPage._derateChanged"
         self._updateForwardButton()
 
@@ -4183,5 +4181,5 @@
             self._derateLabel.set_sensitive(True)
 
-            self._derateEntry = Gtk.Entry()
+            self._derateEntry = gtk.Entry()
             self._derateEntry.set_width_chars(7)
             self._derateEntry.set_tooltip_text(xstr("takeoff_derate_boeing_tooltip"))
@@ -4190,8 +4188,8 @@
             self._derateLabel.set_mnemonic_widget(self._derateEntry)
 
-            self._derateUnit = Gtk.Label("%")
+            self._derateUnit = gtk.Label("%")
             self._derateUnit.set_alignment(0.0, 0.5)
 
-            self._derateWidget = Gtk.Table(3, 1)
+            self._derateWidget = gtk.Table(3, 1)
             self._derateWidget.set_row_spacings(4)
             self._derateWidget.set_col_spacings(16)
@@ -4207,5 +4205,5 @@
             self._derateLabel.set_sensitive(True)
 
-            self._derateWidget = Gtk.Entry()
+            self._derateWidget = gtk.Entry()
             self._derateWidget.set_width_chars(7)
             self._derateWidget.set_tooltip_text(xstr("takeoff_derate_epr_tooltip"))
